"use client";
import { constructFrom as r } from "./constructFrom.js";
import { toDate as f } from "./toDate.js";
function m(i, c) {
  let t, o = c?.in;
  return i.forEach((e) => {
    !o && typeof e == "object" && (o = r.bind(null, e));
    const n = f(e, o);
    (!t || t > n || isNaN(+n)) && (t = n);
  }), r(o, t || NaN);
}
export {
  m as default,
  m as min
};
